Page MenuHomePhabricator

translatewiki.net is exporting files without a "@metadata" block
Closed, ResolvedPublic

Description

In {d90f1140ac925f2e6ad5942ba8eebe7da8855ff3}, no @metadata block with authorship information was exported.

Event Timeline

Legoktm created this task.Nov 9 2015, 6:57 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 9 2015, 6:57 PM
jayvdb added a subscriber: jayvdb.Nov 9 2015, 8:38 PM
Nikerabbit triaged this task as Normal priority.Jan 22 2016, 3:20 PM
Nikerabbit moved this task from Backlog to file formats on the MediaWiki-extensions-Translate board.

Change 294890 had a related patch set uploaded (by Nikerabbit):
Always output a metadata block

https://gerrit.wikimedia.org/r/294890

Change 294890 merged by jenkins-bot:
Always output a metadata block

https://gerrit.wikimedia.org/r/294890

matmarex closed this task as Resolved.Jun 17 2016, 2:33 PM
matmarex assigned this task to Nikerabbit.
matmarex removed a project: Patch-For-Review.
hashar added a subscriber: hashar.Jun 17 2016, 3:25 PM

@Nikerabbit if empty metadata block is acceptable, we could change the banana lint checker to allow a file lacking a metadata block!

@hashar acceptable to whom? To me there isn't much difference between no metadata or empty metadata.